Messages
List Messages
Path Parameters
The ID of the inbox.
Query Parameters
Limit of number of items returned.
Page token for pagination.
Labels to filter by.
Timestamp before which to filter by.
date-timeTimestamp after which to filter by.
date-timeSort in ascending temporal order.
Include spam in results.
Include blocked in results.
Include trash in results.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/messages" \ -H "Authorization: string"{
"count": 0,
"limit": 0,
"next_page_token": "string",
"messages": [
{
"inbox_id": "string",
"thread_id": "string",
"message_id": "string",
"labels": [
"string"
],
"timestamp": "2019-08-24T14:15:22Z",
"from": "string",
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"references": [
"string"
],
"headers": {
"property1": "string",
"property2": "string"
},
"size": 0,
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"name": "string",
"message": "string"
}Get Message
Path Parameters
The ID of the inbox.
ID of message.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/messages/string" \ -H "Authorization: string"{
"inbox_id": "string",
"thread_id": "string",
"message_id": "string",
"labels": [
"string"
],
"timestamp": "2019-08-24T14:15:22Z",
"from": "string",
"reply_to": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"text": "string",
"html": "string",
"extracted_text": "string",
"extracted_html": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"references": [
"string"
],
"headers": {
"property1": "string",
"property2": "string"
},
"size": 0,
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Update Message
Path Parameters
The ID of the inbox.
ID of message.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://api.agentry.to/agent/v0/inboxes/string/messages/string" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"inbox_id": "string",
"thread_id": "string",
"message_id": "string",
"labels": [
"string"
],
"timestamp": "2019-08-24T14:15:22Z",
"from": "string",
"reply_to": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"text": "string",
"html": "string",
"extracted_text": "string",
"extracted_html": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"references": [
"string"
],
"headers": {
"property1": "string",
"property2": "string"
},
"size": 0,
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"errors": null
}{
"name": "string",
"message": "string"
}Get Attachment
Path Parameters
The ID of the inbox.
ID of message.
ID of attachment.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/messages/string/attachments/string" \ -H "Authorization: string"{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string",
"download_url": "string",
"expires_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Get Raw Message
Path Parameters
The ID of the inbox.
ID of message.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/messages/string/raw" \ -H "Authorization: string"{
"message_id": "string",
"size": 0,
"download_url": "string",
"expires_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Send Message
Path Parameters
The ID of the inbox.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/inboxes/string/messages/send" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"message_id": "string",
"thread_id": "string"
}{
"name": "string",
"errors": null
}{
"name": "string",
"message": "string"
}{
"name": "string",
"message": "string"
}Reply To Message
Path Parameters
The ID of the inbox.
ID of message.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/inboxes/string/messages/string/reply" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"message_id": "string",
"thread_id": "string"
}{
"name": "string",
"errors": null
}{
"name": "string",
"message": "string"
}{
"name": "string",
"message": "string"
}Reply All Message
Path Parameters
The ID of the inbox.
ID of message.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/inboxes/string/messages/string/reply-all" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"message_id": "string",
"thread_id": "string"
}{
"name": "string",
"errors": null
}{
"name": "string",
"message": "string"
}{
"name": "string",
"message": "string"
}Forward Message
Path Parameters
The ID of the inbox.
ID of message.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/inboxes/string/messages/string/forward" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"message_id": "string",
"thread_id": "string"
}{
"name": "string",
"errors": null
}{
"name": "string",
"message": "string"
}{
"name": "string",
"message": "string"
}